Skip to main content

Firmware

These operations allow the device firmware to be upgraded by uploading a new firmware image over API. This includes integrity and signature validation allowing only a legitimate firmware to be install

warning

Embedded Flash Drive is available on Encedo PPA only. On Encedo EPA those endpoints are not available, and response code 404 will be returned.

Allowed usersUser✓Master✓ExtAuth✓
info

The Authorization header is not required on fresh, not personalized devices.

info

TLS connection is not required. It is a last resort way to upload fixes. Firmware is signed anyway, no worry about the integrity or genuineness.

Upload the file​

Upload a new firmware​

POSThttps://my.ence.do/api/system/upgrade/upload_fw
Required access scopesystem:upgrade

Upload a new firmware image (firmware.bin) file.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN
Content-Type*Stringapplication/octet-stream
Content-Disposition*Stringattachment; filename="firmware.bin"
Expect*String100-continue

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403

Validate the uploaded file​

Check firmware​

GEThttps://my.ence.do/api/system/upgrade/check_fw
Required access scopesystem:upgradealternative:system:config

Verify that the newly uploaded firmware file is valid.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403

Install new firmware​

Install firmware​

GEThttps://my.ence.do/api/system/upgrade/install_fw
Required access scopesystem:upgradealternative:system:config

Install uploaded and validated firmware (checked) in bootloader mode (the device will reboot on 200).

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403
LOG_TYPE_UPGRADELOG_RESULT_ERROR406
LOG_TYPE_UPGRADELOG_RESULT_ERROR409
LOG_TYPE_UPGRADELOG_RESULT_OK200